Categories:
  - Connectivity
License: GPL-2.0-only
AuthorName: Christian Beier
AuthorEmail: contact@christianbeier.net
AuthorWebSite: https://christianbeier.net
SourceCode: https://github.com/bk138/droidVNC-NG
IssueTracker: https://github.com/bk138/droidVNC-NG/issues
Changelog: https://github.com/bk138/droidVNC-NG/releases

AutoName: droidVNC-NG

RepoType: git
Repo: https://github.com/bk138/droidVNC-NG.git

Builds:
  - versionName: 1.2.0
    versionCode: 5
    commit: v1.2.0
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    ndk: r21e

  - versionName: 1.2.1
    versionCode: 6
    commit: 204c4a2db9aa88ad436b07fcd2b818c2f76d7d2f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    ndk: r21e

  - versionName: 1.2.3
    versionCode: 8
    commit: 84422e770a21b047eac586c74d496864a197458f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    ndk: r21e

  - versionName: 1.2.4
    versionCode: 9
    commit: 1250ef7d182d2cccfbe1b69a183eaf589521250b
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    ndk: r21e

  - versionName: 1.2.5
    versionCode: 10
    commit: 8da099706355de509c8e5d9e90fffd4c1e83dcd2
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.2.6
    versionCode: 11
    commit: 90fb21976c7a097a7791173fe0ca2c8c68751dc8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.0
    versionCode: 13
    commit: 83fc5b1b174086d1a73f38795610828679ebbf7c
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.1
    versionCode: 14
    commit: eaf756147761dd304802ee5802ab511337218e55
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.2
    versionCode: 15
    commit: 680ea11e7c78db6c05afd6093aa1019fb79f7174
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.3
    versionCode: 16
    commit: f3852869c3fd0439025c79cd3196cfb468379934
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.4
    versionCode: 17
    commit: 8474b0d82a43dd418cb1c548962f373fae02d078
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
      'cmake;3.10.2.4988404' > /dev/null
    ndk: r21e

  - versionName: 1.3.5
    versionCode: 18
    commit: 15de76a0f92af0a42cf2a167f5c63c4d652ddf2b
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 1.4.0
    versionCode: 19
    commit: c01ae49bc9a856906cdc7958c27e7effe2801cf0
    subdir: app
    submodules: true
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 2.0.0
    versionCode: 20
    commit: 7f32fa1d5ae45c0fe4026c3f5a263875bcbd9e09
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 2.1.1
    versionCode: 22
    commit: 5874725647beb6f0e37473a881b40b7cac299877
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 2.1.2
    versionCode: 23
    commit: acd6bcc4fd95e09f6a22a3aee2da66a2322eec0a
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 2.1.3
    versionCode: 24
    commit: d4be3d5ecf0cceeba9fc043da884a7b2e63efc5f
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

  - versionName: 2.1.4
    versionCode: 25
    commit: 5d797a85ba3ad707fa48d36af92f836577f700f9
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    prebuild: sdkmanager 'cmake;3.10.2.4988404'
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.1.4
CurrentVersionCode: 25
